Package org.apache.cxf.ws.addressing

# Class WSAContextUtils

java.lang.Object
org.apache.cxf.ws.addressing.WSAContextUtils

public final class WSAContextUtils extends Object
Holder for utility methods relating to contexts.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DECOUPLED_ENDPOINT_BASE_PROPERTY`
  `static final String`
  `REPLYTO_PROPERTY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `retrieveUsingAddressing(Message message)`
  Retrieve UsingAddressing override flag from the context

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REPLYTO_PROPERTY

    public static final String REPLYTO_PROPERTY
    See Also:
      - Constant Field Values

  - ### DECOUPLED_ENDPOINT_BASE_PROPERTY

    public static final String DECOUPLED_ENDPOINT_BASE_PROPERTY
    See Also:
      - Constant Field Values

- ## Method Details

  - ### retrieveUsingAddressing

    public static boolean retrieveUsingAddressing(Message message)
    Retrieve UsingAddressing override flag from the context
    Parameters:
      `message` - the current message
    Returns:
      true if UsingAddressing should be overridden